package com.smppw.analysis.domain.dataobject;

import lombok.Data;


/**
 * @author mozuwen
 * @date 2023/8/18 14:00
 * @description 私募基金基本信息
 */
@Data
public class PubliclyFundBaseInfoDo {

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 基金中文全称
     */
    private String fundName;

    /**
     * 基金中文简称
     */
    private String fundShortName;

    /**
     * 基金代码
     */
    private String registerNumber;

    /**
     * 策略
     */
    private Integer strategy;

    /**
     * 二级策略
     */
    private Integer substrategy;

    /**
     * 业绩基准
     */
    private String benchmarkName;

    /**
     * 基金货币
     */
    private String baseCurrency;

    /**
     * 基金管理人id
     */
    private String trustId;

    /**
     * 运行状态Id
     */
    private Integer fundStatusId;

    /**
     * 基金托管人id
     */
    private String custodianId;

}
