package com.smppw.analysis.domain.dataobject;

import lombok.Data;


/**
 * @author wangzaijun
 * @date 2023/5/24 16:03
 * @description 公募基金的经理在管的所有基金的某个日期的资产值
 */
@Data
public class ManualFundPurchaseRedeemDO {

    /**
     * 基金id
     */
    private String fundId;

    /**
     * 结束日期
     */
    private String endDate;

    /**
     * 机构场外代销申购状态
     */
    private String applyingType;

    /**
     * 机构场外代销赎回状态
     */
    private String redeemType;
}