package com.smppw.analysis.domain.dataobject;

import lombok.Data;

/**
 * @author mozuwen
 * @date 2023/8/18 14:00
 * @description 私募基金基本信息
 */
@Data
public class MfFundArchivesInfoDo {

    /**
     * 交易场所
     */
    private Integer applyingMarket;

    /**
     * 初始份额
     */
    private String initialShare;

    /**
     * 初始份额日期
     */
    private String initialDate;

    /**
     * 最低申购金额，文字+数值+日期展示
     */
    private String lowestApplyAmount;

    /**
     * 最低赎回份额，文字+数值+日期展示
     */
    private String lowestSumRedemption;

}
